<?php

namespace ThurData\Servers\KerioEmail\App\Libs\Kerio\Components\Api\Soap\Interfaces;


use ThurData\Servers\KerioEmail\App\Libs\Kerio\Components\Api\Soap\Connection;

/**
 *
 * Created by PhpStorm.
 * User: ThurData
 * Date: 09.09.19
 * Time: 09:47
 * Class AbstractConnection
 */
class AbstractConnection
{
    /**
     * @var Connection
     */
    protected $connection;

    /**
     * AbstractAction constructor.
     * @param Connection|null $connection
     */
    public function __construct(Connection $connection= null)
    {
        $this->setConnection($connection);
    }

    /**
     * @param Connection|null $connection
     */
    public function setConnection(Connection $connection= null)
    {
        $this->connection = $connection;
    }

    /**
     * @return Connection
     */
    public function getConnection()
    {
        return $this->connection;
    }
}